Ubuntu

[nvidia] Windows appear blank white

Reported by anthonyjschulte@gmail.com on 2011-04-07
This bug report is a duplicate of:  Bug #729979: [nvidia] Windows appear blank white. Edit Remove
426
This bug affects 89 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
One Hundred Papercuts
Undecided
Unassigned
compiz (Ubuntu)
High
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

I have discovered a fairly consistent behavior: When multiple aplications are open, the bug can manifest itself as: the active window is blank (white in my case... title bar displays but nothing else.) while windows behind it will display content. If one of the unfocused windows is selected, it gains focus, and goes blank. The previously blank window, no longer focused, regains its content and is no longer blank.

Switching between applications, the ones gaining focus always going blank only to regain content after losing focus is quite infuriating.

To force an application to quit being blank, another application is opened, and applications are switched until the blanking behavior begins for the new application. (I use terminal as my dummy app...) Terminal is given focus, observed to be blank, and closed. The aplication which was behind the dummy application gains focus, and does not go blank. (this has been verified in classic desktop, not yet in unity)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.4git20110322-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
NonfreeKernelModules: nvidia wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
Date: Wed Apr 6 21:40:19 2011
DistroCodename: natty
DistroVariant: ubuntu
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
SourcePackage: compiz
UpgradeStatus: Upgraded to natty on 2011-04-05 (1 days ago)
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1

1 comments hidden view all 170 comments

...also, [prt sc] is not working...

tags: added: compiz-0.9

Also I observe that the larger the window, the more likely it is to be blank. When (enlarging) a window, the size can be increased up to a certain point at which the window goes blank.

Download full text (8.8 KiB)

$ sudo unity --replace
[sudo] password for tony:

(process:2060): GLib-WARNING **: In call to g_spawn_sync(), exit status of a child process was requested but SIGCHLD action was set to SIG_IGN and ECHILD was received by waitpid(), so exit status can't be returned. This is a bug in the program calling g_spawn_sync(); either don't request the exit status, or don't set the SIGCHLD action.
GConf Error: Failed to contact configuration server; the most common cause is a missing or misconfigured D-Bus session bus daemon. See http://projects.gnome.org/gconf/ for information. (Details - 1: Failed to get connection to session: Abnormal program termination spawning command line `dbus-launch --autolaunch=04c5cad7d29cd8e6cb65d5ca00000009 --binary-syntax --close-stderr': )
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done

(process:2060): GConf-WARNING **: Directory `/apps/compiz-1' was not being monitored by GConfClient 0x952f220
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing animation options...done
Initializing snap options...done
Initializing expo options...done
Initializing move options...done
Initializing place options...done
Initializing grid options...done
Initializing gnomecompat options...done
Initializing wall options...done
Initializing ezoom options...done
Initializing workarounds options...done
Initializing staticswitcher options...done
Initializing resize options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing scale options...done
Initializing session options...done
** (<unknown>:2060): DEBUG: Unity accessibility initialization

** (<unknown>:2060): WARNING **: Unable to load GDesktopAppInfo for 'ubiquity-gtkui.desktop'

** (<unknown>:2060): WARNING **: Desktop file 'ubiquity-gtkui.desktop' Does not exist anywhere we can find it

(<unknown>:2060): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(<unknown>:2060): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(<unknown>:2060): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

Screen geometry changed:
  Monitor 0(primary)
   0x0x1440x900

Initializing unityshell options...done
** (<unknown>:2060): DEBUG: MaximizeIfBigEnough: Gnome-terminal window size doesn't fit
Changed: favorites
Changed: favorites
Changed: favorite-migration
** (<unknown>:2060): DEBUG: PlaceEntry: Files & Folders
** (<unknown>:2060): DEBUG: PlaceEntry: Applications
** (<unknown>:2060): DEBUG: PlaceEntry: Commands

(<unknown>:2060): libindicator-WARNING **: Shortcut Group does not have key 'TargetEnvironment' falling back to deprecated use of 'OnlyShowIn' and 'NotShowIn'.
** (<unknown>:2060): DEBUG: Acquired the name com.canonical.Unity.Launcher on the session bus

** (<unknown>:2060): DEBUG: Connected to proxy

(<unknown>:2060): dee-WARNING **: Transaction from com.canonical.Unity.FilesPlace.SectionsMo...

Read more...

Hefeloce (hefeloce) wrote :

Are those "GLib-GObject-WARNING **: invalid (NULL) pointer instance" the times when you get a white screen?

Josh Leverette (coder543) wrote :

If this is not fixed by launch, major issues will be had.

tony@siddhartha:~$ unity --replace
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing animation options...done
Initializing snap options...done
Initializing expo options...done
Initializing move options...done
Initializing place options...done
Initializing grid options...done
Initializing gnomecompat options...done
Initializing wall options...done
Initializing ezoom options...done
Initializing workarounds options...done
Initializing staticswitcher options...done
Initializing resize options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing scale options...done
Initializing session options...done
** (<unknown>:1938): DEBUG: Unity accessibility initialization

Screen geometry changed:
  Monitor 0(primary)
   0x0x1440x900

Initializing unityshell options...done
** (<unknown>:1938): DEBUG: MaximizeIfBigEnough: Gnome-terminal window size doesn't fit
** (<unknown>:1938): DEBUG: PlaceEntry: Files & Folders
** (<unknown>:1938): DEBUG: PlaceEntry: Applications
** (<unknown>:1938): DEBUG: PlaceEntry: Commands

(<unknown>:1938): libindicator-WARNING **: Shortcut Group does not have key 'TargetEnvironment' falling back to deprecated use of 'OnlyShowIn' and 'NotShowIn'.
** (<unknown>:1938): DEBUG: Acquired the name com.canonical.Unity.Launcher on the session bus

** (<unknown>:1938): DEBUG: Connected to proxy
** (<unknown>:1938): DEBUG: Connected to proxy
** (<unknown>:1938): DEBUG: Connected to proxy

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion `g_dbus_is_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion `g_dbus_is_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed
** (<unknown>:1938): DEBUG: IndicatorAdded: libapplication.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libsoundmenu.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libmessaging.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libdatetime.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libme.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libsession.so
Setting Update "run_command_terminal_key"
Setting Update "force_glx_sync"
Setting Update "fullscreen_visual_bell"
Setting Update "launcher_hide_mode"
** (<unknown>:1938): DEBUG: Setting to primary screen rect: x=0 y=0 w=1440 h=900

Download full text (3.7 KiB)

The previous was fresh starting a session. After triggering the bug:

** (<unknown>:1938): DEBUG: TrayChild Rejected: update-notifier update-notifier Update-notifier

** (<unknown>:1938): WARNING **: Failed to fetch view type at /org/ayatana/bamf/window37748737: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Failed to fetch view type at /org/ayatana/bamf/window37748737: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Failed to fetch view type at /org/ayatana/bamf/window37748739: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Failed to fetch view type at /org/ayatana/bamf/window37748739: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Failed to fetch view type at /org/ayatana/bamf/window35651629: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Failed to fetch view type at /org/ayatana/bamf/window35651629: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): DEBUG: MaximizeIfBigEnough: Firefox window size doesn't fit

(firefox-bin:1970): LIBDBUSMENU-GTK-CRITICAL **: dbusmenu_menuitem_property_set_shortcut: assertion `gtk_accelerator_valid(key, modifier)' failed
** (<unknown>:1938): DEBUG: TrayChild Rejected: update-notifier update-notifier Update-notifier
** (<unknown>:1938): DEBUG: TrayChild Rejected: update-notifier update-notifier Update-notifier
** (<unknown>:1938): DEBUG: TrayChild Rejected: update-notifier update-notifier Update-notifier

** (<unknown>:1938): WARNING **: Unable to fetch children: Method "Children" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Unable to fetch children: Method "Children" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

(<unknown>:1938): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(<unknown>:1938): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(<unknown>:1938): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(<unknown>:1938): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

** (<unknown>:1938): WARNING **: Unable to fetch children: Method "Children" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

** (<unknown>:1938): WARNING **: Unable to fetch children: Method "Children" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

(<unknown>:1938): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(<unknown>:1938): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(<unknown>:1938): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(<unknown>:1938): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
** ...

Read more...

Josh Leverette (coder543) wrote :

Has anyone figured this out? Natty's launch isn't very far away...

Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
Josh Leverette (coder543) wrote :

it seems this is found only in some nvidia systems, based on information in the other bug report and my own experience.

Josh Leverette (coder543) wrote :

the other bug report for this is located here: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/729979

Josh Leverette (coder543) wrote :

Well, I'm glad the Ubuntu team is taking such an interest in this very serious problem. This problem is preventing me from recommending Natty to anyone right now for fear that they might experience the dumbfounding limitation of not being able to maximize anything very often.. let alone watch full screen youtube videos.

Didier Roche (didrocks) on 2011-04-11
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in hundredpapercuts:
status: New → Confirmed
Josh Leverette (coder543) wrote :

blah. Nobody's even given this an importance level of Wishlist.. let alone the very high importance this should be getting. I really hope someone fixes it in the next two weeks. :/

Please keep in mind that this is a problem with the way the binary
NVIDIA drivers are handling tfp under situations where there is low
memory. It's not something that the unity team can fix directly.

On Thu, Apr 14, 2011 at 8:55 AM, Josh Leverette
<email address hidden> wrote:
> blah. Nobody's even given this an importance level of Wishlist.. let
> alone the very high importance this should be getting. I really hope
> someone fixes it in the next two weeks. :/
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity.
> https://bugs.launchpad.net/bugs/753144
>
> Title:
>  focused, or maximized windows blank
>
> Status in One Hundred Paper Cuts:
>  Confirmed
> Status in NVIDIA Drivers Ubuntu:
>  New
> Status in Unity:
>  Confirmed
> Status in “compiz” package in Ubuntu:
>  Confirmed
> Status in “unity” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: compiz
>
>  I have discovered a fairly consistent behavior: When multiple
>  aplications are open, the bug can manifest itself as: the active
>  window is blank (white in my case... title bar displays but nothing
>  else.) while windows behind it will display content. If one of the
>  unfocused windows is selected, it gains focus, and goes blank. The
>  previously blank window, no longer focused, regains its content and is
>  no longer blank.
>
>  Switching between applications, the ones gaining focus always going
>  blank only to regain content after losing focus is quite infuriating.
>
>  To force an application to quit being blank, another application is
>  opened, and applications are switched until the blanking behavior
>  begins for the new application. (I use terminal as my dummy app...)
>  Terminal is given focus, observed to be blank, and closed. The
>  aplication which was behind the dummy application gains focus, and
>  does not go blank. (this has been verified in classic desktop, not yet
>  in unity)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: compiz 1:0.9.4git20110322-0ubuntu5
>  ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
>  Uname: Linux 2.6.38-7-generic i686
>  NonfreeKernelModules: nvidia wl
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
>  Date: Wed Apr  6 21:40:19 2011
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  EcryptfsInUse: Yes
>  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
>  InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
>  SourcePackage: compiz
>  UpgradeStatus: Upgraded to natty on 2011-04-05 (1 days ago)
>  version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
>  version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1
>

--
Sam Spilsbury

Thank you for bringing this bug to our attention. However, a paper cut should be a small usability issue, in the default Ubuntu install, that affects many people and is quick and easy to fix. So this bug can't be addressed as part of this project.

 - Not a design issue, just a bug that needs fixing.
For further information about papercuts criteria, please read https://wiki.ubuntu.com/PaperCut.
Don't worry though, this bug has been marked as "Invalid" only in the papercuts project.

Changed in hundredpapercuts:
status: Confirmed → Invalid
Christophe C (batra3) wrote :

I've got the same problem. nvidia card + compiz + nvidia official driver + Unity beta2 (fresh installation - yesterday).

The white blank window (with only the title bar visible) is sometime for the window with focus, sometime for all windows open, and sometime time it seems random. The wall paper is completely white (in fact i think that it is nautilus-desktop (?) )

Didier Roche (didrocks) on 2011-04-18
Changed in unity:
milestone: none → 3.8.10
importance: Undecided → High
Changed in compiz (Ubuntu):
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
RarSa (rarsa) wrote :

Same problem here.
11.04 Beta 2 , Unity, 3D enabled, Nvidia from Additional drivers

Didier Roche (didrocks) on 2011-04-19
Changed in unity:
milestone: 3.8.10 → 3.8.12
jack (jakowogr) wrote :

Same problem here:
nvidia card (Geforce 6200) with nvidia official driver (270.41.06) + compiz
i can use the dock and unity but every window is blank white until i resize it to the minimal possible size.

David Barth (dbarth) on 2011-04-22
Changed in unity:
milestone: 3.8.12 → 3.8.14
Josh Leverette (coder543) wrote :

Duly note.. my nvidia driver marks as activated but not in use even after completely reinstalling and multiple reboots. This could factor in?

Christophe C (batra3) wrote :

nvidia card + compiz + nvidia official driver + Unity beta2 + AMD processor + 2Go memory.

Precision : the problem occurs in natty / unity AND in natty / Unbuntu classic.

No bug without nvidia-current (but Unity doesn't run).

Baturay Palas (baturayp) wrote :

Unfortunately same here :(

Natty final + nvidia card + nvidia restricted driver + 64 bit system + fresh installation

Christophe C (batra3) wrote :

nvidia card + compiz + nvidia official driver + Unity beta2 + AMD processor + 2Go memory + fresh install + 32 bits : the bug occurs.

Same installation BUT with nvidia driver V 173 : no bug. Only with nvidia-current.

Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
Didier Roche (didrocks) wrote :

adding the nvidia-current task as the issue seems be impacted only with this driver and not with nvidia 173

Alberto Milone (albertomilone) wrote :

@all
Make sure you're still using the Nvidia driver and you can reproduce the problem, then please open a terminal and type the following command:

sudo nvidia-bug-report.sh

This will create an nvidia-bug-report.log (or nvidia-bug-report.log.gz) file in your user directory. Please attach the file to the report.

Thanks

sylvain972 (sylvain-paumelle) wrote :

Attached: nvidia-bug-report.log.

Christophe C (batra3) wrote :

On the ubuntu french forum, the nvidia driver 173 solve the problem of some personnes, but not all of them.

The white blank windows desepear for all of them, but new bugs appear for some, as a nearly completely black screen (with a little normal zone at the top of the screen).

Bruce Crowther (bandjc) wrote :

Only had the OS installed for 24 hours and this issue is driving me bats! Message #29 suggests I won't get ahead any better by changing drivers, so I'll just hang fire and hope for a fix.

I have been in a habit of running most windows maximised and "tab + alt"ing through them while I am working. That will have to change for the interim: even using different workspaces makes no difference.

I have also attached a bug report log.

Bruce Crowther (bandjc) wrote :

Must be old age or tiredness: re-read the posts above, changed to nvidia driver 173, no more problems. I could rapidly start to enjoy Unity now.

sylvain972 (sylvain-paumelle) wrote :

For me, with driver 173, new bugs appear, as a nearly completely black screen (with a little normal zone at the top of the screen).

My computer : Nvidia Integrated 6100, Processor AMD64, Ubuntu 11.04 64, Unity, 2 go RAM.

Same problem for me:

My computer : Nvidia Integrated 6100, Processor AMD64, Ubuntu 11.04 32, Unity, 1 go RAM.

00:05.0 VGA compatible controller: nVidia Corporation C51G [GeForce 6100] (rev a2)

Problem solved by using the 173 driver version...

I've just select this driver using the "proprietary" driver ubuntu tool!

Bruno (reebomber) wrote :

Problem solved with the 173 driver too :-)

driver 173 is NOT a solution people! it is a workaround. It gives reduced
performance, etc, etc, etc. nVidia needs to get into action and fix this.

On Sun, May 1, 2011 at 6:09 PM, Bruno <email address hidden> wrote:

> Problem solved with the 173 driver too :-)
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/753144
>
> Title:
> focused, or maximized windows blank
>
> Status in One Hundred Paper Cuts:
> Invalid
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in Unity:
> Confirmed
> Status in “compiz” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> New
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> I have discovered a fairly consistent behavior: When multiple
> aplications are open, the bug can manifest itself as: the active
> window is blank (white in my case... title bar displays but nothing
> else.) while windows behind it will display content. If one of the
> unfocused windows is selected, it gains focus, and goes blank. The
> previously blank window, no longer focused, regains its content and is
> no longer blank.
>
> Switching between applications, the ones gaining focus always going
> blank only to regain content after losing focus is quite infuriating.
>
> To force an application to quit being blank, another application is
> opened, and applications are switched until the blanking behavior
> begins for the new application. (I use terminal as my dummy app...)
> Terminal is given focus, observed to be blank, and closed. The
> aplication which was behind the dummy application gains focus, and
> does not go blank. (this has been verified in classic desktop, not yet
> in unity)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4git20110322-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
> Uname: Linux 2.6.38-7-generic i686
> NonfreeKernelModules: nvidia wl
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
> Date: Wed Apr 6 21:40:19 2011
> DistroCodename: natty
> DistroVariant: ubuntu
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
> SourcePackage: compiz
> UpgradeStatus: Upgraded to natty on 2011-04-05 (1 days ago)
> version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
> version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/753144/+subscribe
>

--
Sincerely,
    Josh

I take your point, Josh, but it is easier for me to leave 11.04 on my machine and use the 173 driver than it is to reinstall a previous version of the OS.

If I was to do that I would tend to go back to the last LTS version, and without looking, I just bet I've lost all the "howto" notes I made myself when I worked through the process of getting everything working in that!

After forty years of marriage I have finally accepted that compromise and a workaround can be almost as effective as a fix. 8-)

Bruno (reebomber) wrote :

I have to agree with Josh.

I did install 173, and Unity was working fine, so I decided to try out Gnome 3, and it was a total catastrophe, under 173. The content of the windows was not updating properly, so I was stuck with a computer that "seemed" blocked, untill I realized it was only a matter of freezing windows (Icould see the windows "moving" when I saw them as thumbnails only.

So, all in all, I uninstalled Gnome 3, reinstalled the latest nvidia driver, forget 173, and went back to Gnome 2.

The point of the matter is that, in my opinion (I have Unity in another machine), Unity is not worth the learning curve to get it to work at least as good as gnome 2 was. Maybe if, one day, there is a new nvidia driver that solves this problem, I will try it again.

For the time being, I feel I have wasted enough time trying to solve a problem that simply is not worth it.

BTW, maybe in that new driver, nvidia will get a way to change the brightness of the monitor when I disconnet it from AC.

sylvain972 (sylvain-paumelle) wrote :

Since the problem seems to come from Nvidia, how to prevent Nvidia dysfunction, and how
time to solve it?

For me, pass the driver 173 does not help, I have a black screen on login screen ... So I can not
using Ubuntu 4.11 ...

You could uninstall all proprietary nVidia drivers and then install unity 2D

Sincerely,
Josh

On May 2, 2011, at 10:18 AM, sylvain972 <email address hidden> wrote:

> Since the problem seems to come from Nvidia, how to prevent Nvidia dysfunction, and how
> time to solve it?
>
> For me, pass the driver 173 does not help, I have a black screen on login screen ... So I can not
> using Ubuntu 4.11 ...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/753144
>
> Title:
> focused, or maximized windows blank
>
> Status in One Hundred Paper Cuts:
> Invalid
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in Unity:
> Confirmed
> Status in “compiz” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> New
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> I have discovered a fairly consistent behavior: When multiple
> aplications are open, the bug can manifest itself as: the active
> window is blank (white in my case... title bar displays but nothing
> else.) while windows behind it will display content. If one of the
> unfocused windows is selected, it gains focus, and goes blank. The
> previously blank window, no longer focused, regains its content and is
> no longer blank.
>
> Switching between applications, the ones gaining focus always going
> blank only to regain content after losing focus is quite infuriating.
>
> To force an application to quit being blank, another application is
> opened, and applications are switched until the blanking behavior
> begins for the new application. (I use terminal as my dummy app...)
> Terminal is given focus, observed to be blank, and closed. The
> aplication which was behind the dummy application gains focus, and
> does not go blank. (this has been verified in classic desktop, not yet
> in unity)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4git20110322-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
> Uname: Linux 2.6.38-7-generic i686
> NonfreeKernelModules: nvidia wl
> Architecture: i386
> CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
> Date: Wed Apr 6 21:40:19 2011
> DistroCodename: natty
> DistroVariant: ubuntu
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
> InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
> SourcePackage: compiz
> UpgradeStatus: Upgraded to natty on 2011-04-05 (1 days ago)
> version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
> version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/753144/+subscribe

Changed in unity:
status: Confirmed → Invalid
Changed in unity (Ubuntu):
status: Confirmed → Invalid
David Barth (dbarth) on 2011-05-31
Changed in unity:
milestone: 3.8.14 → none
warjowuch (lulkoek) on 2011-06-07
Changed in hundredpapercuts:
status: Invalid → Confirmed
Changed in unity:
status: Invalid → Confirmed
Changed in hundredpapercuts:
status: Confirmed → Invalid
Changed in unity:
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
90 comments hidden view all 170 comments

Hmm I really do not know anything about celestia, but I do not agree with you that this bug affects a small percentage of users. I think it affect all nVidia users using compiz. I would guess vast majority uses compiz and vast majority has nVidia graphic card (my opinion)

Download full text (3.4 KiB)

No... it affects only older, integrated nvidia cards. My new nvidia card is unaffected, same with my friend's. If it were all nvidia products, people would be knocking down doors at canonical and nvidia, flooding them with complaints. It affects a good number of people, but most fix the problem with an older nvidia driver and a few more with BIOS configurations. Very few cannot walk away with the problem worked around.

On Jul 30, 2011, at 5:29 PM, cccccccc <email address hidden> wrote:

> Hmm I really do not know anything about celestia, but I do not agree
> with you that this bug affects a small percentage of users. I think it
> affect all nVidia users using compiz. I would guess vast majority uses
> compiz and vast majority has nVidia graphic card (my opinion)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/753144
>
> Title:
> focused, or maximized windows blank
>
> Status in One Hundred Paper Cuts:
> Invalid
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in Unity:
> Invalid
> Status in “compiz” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Confirmed
> Status in “unity” package in Ubuntu:
> Invalid
>
> Bug description:
> Binary package hint: compiz
>
> I have discovered a fairly consistent behavior: When multiple
> aplications are open, the bug can manifest itself as: the active
> window is blank (white in my case... title bar displays but nothing
> else.) while windows behind it will display content. If one of the
> unfocused windows is selected, it gains focus, and goes blank. The
> previously blank window, no longer focused, regains its content and is
> no longer blank.
>
> Switching between applications, the ones gaining focus always going
> blank only to regain content after losing focus is quite infuriating.
>
> To force an application to quit being blank, another application is
> opened, and applications are switched until the blanking behavior
> begins for the new application. (I use terminal as my dummy app...)
> Terminal is given focus, observed to be blank, and closed. The
> aplication which was behind the dummy application gains focus, and
> does not go blank. (this has been verified in classic desktop, not yet
> in unity)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4git20110322-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
> Uname: Linux 2.6.38-7-generic i686
> NonfreeKernelModules: nvidia wl
> Architecture: i386
> CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
> Date: Wed Apr 6 21:40:19 2011
> DistroCodename: natty
> DistroVariant: ubuntu
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
> InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
> SourcePackage: compiz
> Upgrad...

Read more...

I see now, I do own older 8x nVidia card.
I have read about BIOS configuration, but I do not have any of googled options in BIOS, unfortunately. You do not wanna know how much money I spent for that motherboard (I should rather have gone for holiday)!

Soos Gergely (sogerc1) wrote :

I use ubuntu classic, and I start compiz manually and the issue appears for me too.
I have the nVidia driver too (270.41.06-0ubuntu1) with a GeForce 7150M built on my laptop's motherboard.

Soos Gergely (sogerc1) wrote :

After downgrading my nvidia driver the issue seems to be disappeared. (I don't really understand the interdependencies of the packages but I removed the nvidia-current package and installed nvidia-glx-173; I guess my driver will not be automatically updated.)
I've been working with it for 3 hours and every window is ok; with the other driver the fourth opened maximized window was white.

cccccccc (cccccccc) wrote :

I tried the same, but it did not work for me:(

Have just upgraded from 10.10 to 11.04 with Ubuntu Classic, Compiz and Nautilus Elementary and I have the same problem.

warjowuch (lulkoek) wrote :

I have filed a bug report at the nvidia-site, giving them a link to both this thread and this one:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/752445

I hope they will sort things out...

cccccccc (cccccccc) wrote :

praise lorda warjowuch!!!

cccccccc (cccccccc) wrote :

warjowuch pls, can you paste here link to the nvidia bug site? I am not able to find it and this bug is still present. this is driving me crazy seeing I can not use my ubuntu. metacity just not the way. thanks

warjowuch (lulkoek) wrote :

I don't know if their "bug-base" works as cool as launchpad's with an url one can follow.

But... We might need more submitters.
I have had NO feedback on my last submission, and it's gotten the status "Closed No submissions"...

This incident cannot be reopened or updated. If you need further assistance, please submit a new question by clicking the Ask A Question tab.

I have reposted it (reference number: 110903-000026
with the following text:

I am reposting this, since I have had no feedback nor questions asked, but the problem still persists:

Goodday Nvidia supportteam,
Since the release of Ubuntu 11.04, a lot of users experience a bug in your drivers when using the compiz-based unity desktop. It is about application windows suddenly rendering completely white, with the normal borders around them. This is very disturbing.

You can read all the information right here:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/752445
and here:
https://bugs.launchpad.net/unity/+bug/753144

We believe the source of the problem lies in the drivers. While using an older driver is a solution for some, it is not to others (including me).
I hope you are willing to spend time solving this issue for many.

Many thanks in advance!
Friendly regards,
Warner Boon

The link I have in my browser is: http://nvidia-submit.custhelp.com/app/account/questions/detail/i_id/364745
But I don't think one is able to follow the link when not logged in (with my account)...

But maybe I'm posting in the wrong section of the nvidia-site? I went to: http://www.nvidia.com/page/support.html
And I found the 'customer feedback' to be the most appropriate for filing bugreports.

Well, good luck people! Let's make'em squash this bug together :)

cccccccc (cccccccc) wrote :

Just not to be out of my "English writing skill" I wrote them too - sending them link to this site. But I would be not surprised if they did not write back. I bet they receive stuff like this in thousands every day. Not to mention, ignoring this bug will force users to buy new graphic cards - more $$$ for nVidia :)

Daniel Dadap (ddadap) wrote :

Hello all,

Thanks for reporting this bug. Since it seems to be quite active on launchpad and users are writing in to linux-bugs about it, I just wanted to mention that NVIDIA is aware of the issue. We've been tracking it for a while under NVIDIA internal bug number 822418. It does appear to be specific to older cards in low video memory situations; for integrated GPUs you can allocate more memory to work around the problem, but for discrete GPUs this isn't a possibility.

We do not currently have an estimated time for delivery of a fix.

Justin (deadite81) wrote :

I don't know if this is helpful/relevant/already mentioned, but this problem exists in KDE too. The only difference is that the windows are black instead of white. It happens in Kubuntu 11.04 and after a fresh install of 11.10 it still occurs.

In Kubuntu the fix is easy and immediate. In System Setting -> Desktop Effects -> Advanced untick the "Enable Direct Rendering" option. My onboard Nvidia 'GeForce 6150SE nForce 430' works flawlessly (all effects, like blur, and no more empty windows) after that. I wanted to use Unity, but there is no equivalent option in CCSM as far as I know, and searching the Ubuntu Wiki/Google yielded confusing, mixed results.

I am assuming the Kubuntu issue is the same as the Ubuntu issue since the problem is exactly the same - I have used both and the behavior is identical. So is it possible to disable direct rendering in Unity for us poor folk with older computers who do not have the option of upgrading or am I making a mistake in my logic?

warjowuch (lulkoek) wrote :

I just got an answer from Nvidia, read below. Only I don't use compiz/unity now because of the issue. I must send them an answer within 72 hours for the report not to be closed...
On the 752445-bug (same as this one) it seems someone has allready tried the 280.13 driver Mike (from the mail below) mentioned. Any of you guys have tried this driver?
---------------------------
Hi Warner,

Your issue was just referred to me.

Can you please try our most recent driver and let me know if the problem still exists? It is version 280.13 available here for Linux x32: http://www.nvidia.com/object/linux-display-ia32-280.13-driver.html

If the problem persists, please generate and attach a bugreport which gives us more information. You can generate one by 'sh nvidia-bug-report.sh'

Let me know if any more questions.

Best regards,
Mike

NVIDIA Customer Care

prettl (prettl-zsolt) wrote :

Hi warjowuch

I'm using the 280.13 driver and the problem is definitely existing (in addition the latest beta is acting the same but it has a suspend/wake up freezing issue too) although I got this issue with fedora 15 and gnome 3 but I think on Ubuntu compiz/unity/gnome 3 would do the same. If you want I could send you a bug report with this driver version on fedora 15 tomorrow. Imho if anyone else could do the same on Ubuntu we could sand a thorough report which must be enough them to fix this issue if they wanted.

I just now read the 752445 bug thread and saw that this driver sold the problem for somebody but the majority gets the same.

I hope if we will be persistent we can get Nvidia to solve the problem.

regards
Zsolt

cccccccc (cccccccc) wrote :

Hi warjowuch,

in my young years I have been using nv drivers from binary file (no packages), they have one disadvantage - I have to reinstall them as soon as I have new kernel (very often in ubuntu). So I gave up. But for sake of testing I am willing to try it. I have different architecture than IA. So I google this ftp: ftp://download.nvidia.com/XFree86/Linux-x86_64/ and now: what the hack is this? Why is there such a mass in drivers versions. And Your 180.13 even is not there!!! Can anybody give me some link explaining what is it verzion 180.x 185.x 190.x etc? What version should I try? Thanks

prettl (prettl-zsolt) wrote :

Hi warjowuch,

Yesterday I had no time but now I could collect a bug report with 280.13 driver.

Bug report:

The black/white windows issue with composite managers is still exist in the case of 280.13 driver.

Steps to Reproduce:
1. Use Linux with composite manager (Compiz/Mutter) enabled Nvidia 6xxx or 7xxx series VGA with 280 and 285 drivers.
2. Open maximized windows (eg. nautilus) until you get black or white filled window.

Actual results:
Under Ubuntu 11.04 after 3 maximized windows the fourth is white, with Fedora 15 the ninth is black (in the case of 2GB system memory and 256MB Geforce 6200Go VGA).

Expected results:
Get as many right rendered windows as you want.

Attachments: nvidia-bug-report.tar.gz:
- nvidia-bug-report.log.gz
- hardinfo_report.html
- Black window.png
- Black window1.png

Warjowuch please be so kind and send this report to Nvidia with your bug number because the problem is still unsolved.

Thank you in advance.
Best regards
Zsolt

warjowuch (lulkoek) wrote :

I have sent the results from you guys to the nvidia-site. (read: I have told them several people have tested the latest drivers, but to no avail) Their reply was as follows:
--------
Thanks for the additional information.

This issue has been reported to Engineering and is being investigated.

Please check future drivers for a fix for this issue.
----------------

I have sent them an email asking them to inform me/the public when this issue should've been resolved. So, who knows! I'll keep you guys informed!

cccccccc (cccccccc) wrote :

thanks a lot.

cccccccc (cccccccc) wrote :

NVIDIA 285.05.09 Linux Driver Pre-Release! Has anyone try it out?

Damn, I just buy a new card and will have no troubles at all. nVidia won. **** ***!

Bryce Harrington (bryce) wrote :

Hey anthonyjschulte,

You filed this bug report against natty, but I see it's still open and
doesn't appear to have much activity recently. So, now that oneiric
is released and stable, this may be a good point for you to upgrade
and re-test if this issue is still present there.

If it's solved in the new release and you think it's worth backporting
the fix, please indicate that. Or if having the fix in the new release
is good enough, feel free to close out the bug (or let us know and we'll
close it.)

If it's not solved, leave the bug report open. I can't promise we'll
get to it (we get way more bugs filed than we can usually get to), but
your testing and feedback can help out if and when we do.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Incomplete
Bruce Crowther (bandjc) wrote :

I can confirm this is still every bit as much a problem with Oneiric as it was with Natty: no change.

Ben Shaw (ben-a-shaw) wrote :

I can also confirm this is still a problem with Oneiric. Unity is just spastic, unstable windows, menus, white windows, all of the problems outlined in this bug report remain extant, if not were worse for me after upgrading. It is impossible to use Unity, however fortunately for me Gnome 3 works well, and Unity 2D, and Gnome 2 are also acceptable.

Ben Shaw (ben-a-shaw) wrote :

I can also report that NVIDIA 285.05.09 Linux Driver did not solve the problem for me. I reverted back to 280.13.

sordna (sordna) wrote :

For me upgrading to oneiric solved the issue, but please note I am using xubuntu (XFCE). However the upgrade introduced a new compiz issue, whenever I rotate the desktop cube, as soon as the new face settles in place, the windows of the previous face flash on the new face for a split second. Has anyone else noticed this? It's really annoying. If this bug is reported already (on launchpad or any ohter site) please point me to it.

Download full text (3.3 KiB)

On Thu, Nov 10, 2011 at 2:38 PM, sordna <email address hidden> wrote:
> For me upgrading to oneiric solved the issue, but please note I am using
> xubuntu (XFCE). However the upgrade introduced a new compiz issue,
> whenever I rotate the desktop cube, as soon as the new face settles in
> place, the windows of the previous face flash on the new face for a
> split second. Has anyone else noticed this? It's really annoying. If
> this bug is reported already (on launchpad or any ohter site) please
> point me to it.

I know about this an I have a fix, I'm just waiting for it to be tested on fglrx
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/753144
>
> Title:
>  focused, or maximized windows blank
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in NVIDIA Drivers Ubuntu:
>  Confirmed
> Status in Unity:
>  Invalid
> Status in “compiz” package in Ubuntu:
>  Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Incomplete
> Status in “unity” package in Ubuntu:
>  Invalid
>
> Bug description:
>  Binary package hint: compiz
>
>  I have discovered a fairly consistent behavior: When multiple
>  aplications are open, the bug can manifest itself as: the active
>  window is blank (white in my case... title bar displays but nothing
>  else.) while windows behind it will display content. If one of the
>  unfocused windows is selected, it gains focus, and goes blank. The
>  previously blank window, no longer focused, regains its content and is
>  no longer blank.
>
>  Switching between applications, the ones gaining focus always going
>  blank only to regain content after losing focus is quite infuriating.
>
>  To force an application to quit being blank, another application is
>  opened, and applications are switched until the blanking behavior
>  begins for the new application. (I use terminal as my dummy app...)
>  Terminal is given focus, observed to be blank, and closed. The
>  aplication which was behind the dummy application gains focus, and
>  does not go blank. (this has been verified in classic desktop, not yet
>  in unity)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: compiz 1:0.9.4git20110322-0ubuntu5
>  ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
>  Uname: Linux 2.6.38-7-generic i686
>  NonfreeKernelModules: nvidia wl
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
>  Date: Wed Apr  6 21:40:19 2011
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  EcryptfsInUse: Yes
>  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
>  InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
>  SourcePackage: compiz
>  UpgradeStatus: Upgraded to natty on 2011-04-05 (1 days ago)
>  version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
>  version.xserver-xorg: xserver-xorg 1:...

Read more...

izar (izar00) wrote :
Download full text (6.2 KiB)

this sounds like great news!

On Fri, Nov 11, 2011 at 11:54 PM, Sam Spilsbury <email address hidden> wrote:

> On Thu, Nov 10, 2011 at 2:38 PM, sordna <email address hidden> wrote:
> > For me upgrading to oneiric solved the issue, but please note I am using
> > xubuntu (XFCE). However the upgrade introduced a new compiz issue,
> > whenever I rotate the desktop cube, as soon as the new face settles in
> > place, the windows of the previous face flash on the new face for a
> > split second. Has anyone else noticed this? It's really annoying. If
> > this bug is reported already (on launchpad or any ohter site) please
> > point me to it.
>
> I know about this an I have a fix, I'm just waiting for it to be tested on
> fglrx
> >
> > --
> > You received this bug notification because you are a bug assignee.
> > https://bugs.launchpad.net/bugs/753144
> >
> > Title:
> > focused, or maximized windows blank
> >
> > Status in One Hundred Paper Cuts:
> > Invalid
> > Status in NVIDIA Drivers Ubuntu:
> > Confirmed
> > Status in Unity:
> > Invalid
> > Status in “compiz” package in Ubuntu:
> > Confirmed
> > Status in “nvidia-graphics-drivers” package in Ubuntu:
> > Incomplete
> > Status in “unity” package in Ubuntu:
> > Invalid
> >
> > Bug description:
> > Binary package hint: compiz
> >
> > I have discovered a fairly consistent behavior: When multiple
> > aplications are open, the bug can manifest itself as: the active
> > window is blank (white in my case... title bar displays but nothing
> > else.) while windows behind it will display content. If one of the
> > unfocused windows is selected, it gains focus, and goes blank. The
> > previously blank window, no longer focused, regains its content and is
> > no longer blank.
> >
> > Switching between applications, the ones gaining focus always going
> > blank only to regain content after losing focus is quite infuriating.
> >
> > To force an application to quit being blank, another application is
> > opened, and applications are switched until the blanking behavior
> > begins for the new application. (I use terminal as my dummy app...)
> > Terminal is given focus, observed to be blank, and closed. The
> > aplication which was behind the dummy application gains focus, and
> > does not go blank. (this has been verified in classic desktop, not yet
> > in unity)
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 11.04
> > Package: compiz 1:0.9.4git20110322-0ubuntu5
> > ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
> > Uname: Linux 2.6.38-7-generic i686
> > NonfreeKernelModules: nvidia wl
> > Architecture: i386
> > CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,vpswitch,regex,gnomecompat,mousepoll,imgpng,move,snap,resize,grid,scale,wall,session,animation,expo,ezoom,staticswitcher]
> > Date: Wed Apr 6 21:40:19 2011
> > DistroCodename: natty
> > DistroVariant: ubuntu
> > EcryptfsInUse: Yes
> > InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> > InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> > ProcEnviron:
> > LANGUAGE=en_US:en
> > LANG=en_US.UTF-8
> > SHELL=/...

Read more...

Small addition to the blank window situation... If I reduce the size of the affected window gradually, the content eventually returns. Unfortunately to get this to happen the window has to be way-below optimum size and the problem comes back as soon as the window is expanded beyond its threshold size. If I knew how to get the exact dimensions of the window I could report the threshold limit which may be useful, but I don't know how - sorry :'(

JB

Ben Shaw (ben-a-shaw) wrote :

I experienced the same behaviour (reducing window size would eventually reveal window content) in 11.04. In 11.10 unity hardly works at all... all windows are white.

Gyorgyi Toth (tgyorgyi27) wrote :

I can also confirm that it still affects me in 11.10. Reducing window size makes the content appear in 11.10 and it used to do so in 11.04. But that is not a lot of consolation, in some cases the window had to be reduced beyond practicality in order to show content. :-(

Justin (deadite81) wrote :

It seems this bug has been fixed in the latest nvidia-current. https://launchpad.net/~ubuntu-x-swat/+archive/x-updates/+sourcepub/2087988/+listing-archive-extra

I was using GNOME Shell, but I've switched back to Unity and haven't had any issues for the passed few hours. It's funny, I just ordered a new graphics card yesterday!

Justin (deadite81) wrote :

I should also mention that whatever Nvidia did seems to have fixed the other problems I was having too. Audio no longer skips when something using blur is active (such as the alt+tab switcher), the desktop grid isn't all jumpy anymore, moving windows around is smooth, and it doesn't seem any effects (like the Super+W widow picker) are planning on crashing Unity anymore.

Everything is actually working smoothly! You guys should really consider pushing the new driver to the main repos as a (critical) bug fix release or whatever. Well, maybe after some more testing, it has only been a few hours after all...my computer could explode any minute for all I know ;)

sordna (sordna) wrote :

I just tried the 290.10 package but it doesn't solve the other issue I'm seeing (when the compiz desktop cube finishes a rotation,
the windows of the previous face re-appear for a split second).

Sam Spilsbury in comment #157 said he has a fix, Sam, what's the status on that one? Is there a more relevant bug report to follow about this?

warjowuch (lulkoek) wrote :

yeah I hope it will hit the repos soon!

I saw in the releasenotes of 290.10 this and I was happy reading it:

- Fixed a regression that caused blank/white windows when exhausting video memory on GeForce 6 and 7 series GPUs while using composited desktops.

I should try it out soon!

Bruce Crowther (bandjc) wrote :

Go to Launchpad and add the ppa for ubuntu-x-swat/x-updates. You will need to completely remove nvidia current with synaptic or via a terminal before you will be able to install the new version, if your system is as crabby as mine was about installing the 290.10 version.
It certainly seems to work the charm for the white screen problem.

Bryce Harrington (bryce) on 2012-02-04
Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed
Bryce Harrington (bryce) wrote :

We're up to 290.20 in Precise, which should resolve this bug.

For oneiric you should be able to get the updated driver via Jockey. For other older releases you can get it via PPAs or download from the NVIDIA site, but we can't do SRUs of proprietary drivers to those releases.

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Released
Leo (leopoldo-pena) wrote :

bug still present in Precise with Nvidia driver 295.40

Leo (leopoldo-pena) wrote :

An image is worth a thousand words

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 729979, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

no longer affects: unity
no longer affects: unity (Ubuntu)
summary: - focused, or maximized windows blank
+ [nvidia] Windows appear blank white
Displaying first 40 and last 40 comments. View all 170 comments or add a comment.